=== tools/rule_checker/Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

MAKE_ARTIFACTS = rule_checker

all: rule_checker

SUFFIXES:

include ../../Makefile.INCLUDE

rule_checker: $(shell find . -iname '*.go')
	$(GO) build -o rule_checker .

clean:
	rm -rf $(MAKE_ARTIFACTS)

.PHONY: clean
