=== debian/changelog ===
prometheus (0.16.2+ds-1ubuntu1) xenial; urgency=medium

  * debian/patches/06-Bug#818417-AWS_SDK_changes.patch: Grab patch from Debian to
    fix FTBFS with new golang-github-aws-aws-sdk-go.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Apr 2016 04:15:29 +0000

prometheus (0.16.2+ds-1) unstable; urgency=high

  * New upstream release.
  * debian/rules: improve build-reproducibility.
  * Fix build issues due to changes in dependencies. Closes: #811236.

 -- Martín Ferrari <tincho@debian.org>  Mon, 25 Jan 2016 11:05:02 +0000

prometheus (0.15.1+ds-2) unstable; urgency=high

  * Make the build date match the changelog, to improve reproducibility.
  * Disable completely some tests that depend on timing. Closes: #792053.

 -- Martín Ferrari <tincho@debian.org>  Fri, 28 Aug 2015 09:25:37 +0000

prometheus (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #792053.
  * Add missing dependency on adduser. Closes: #792498.
  * Update dependencies, refresh patches.
  * Stop adding examples as unowned files. Instead leave a README file pointing
    to the location of the examples. Closes: #792105.
  * debian/rules: Avoid some tests that fail on slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Tue, 25 Aug 2015 02:57:50 +0000
