=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: prometheus
 Section: net
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: adduser, debhelper (>= 9.0.0),
                dh-golang,
                golang-dns-dev,
                golang-fsnotify-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-julienschmidt-httprouter-dev,
+               golang-github-prometheus-common-dev,
                golang-github-prometheus-log-dev,
+               golang-github-samuel-go-zookeeper-dev,
+               golang-github-vaughan0-go-ini-dev,
                golang-go (>= 1.3),
                golang-golang-x-net-dev,
                golang-goleveldb-dev,
                golang-logrus-dev,
                golang-logrus-dev,
-               golang-prometheus-client-dev,
+               golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
                golang-yaml.v2-dev,
                libjs-bootstrap,
                libjs-handlebars,
@@ -23,6 +29,7 @@
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Homepage: http://prometheus.io/
 
 Package: prometheus
 Architecture: any
