=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/prometheus/prometheus/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
