## prometheus 1.0.1+ds

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,30 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO   := GO15VENDOREXPERIMENT=1 go
-pkgs  = $(shell $(GO) list ./... | grep -v /vendor/)
+GO           := GO15VENDOREXPERIMENT=1 go
+FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
+PROMU        := $(FIRST_GOPATH)/bin/promu
+pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)
+
+PREFIX                  ?= $(shell pwd)
+BIN_DIR                 ?= $(shell pwd)
+DOCKER_IMAGE_NAME       ?= prometheus
+DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
+
+ifdef DEBUG
+	bindata_flags = -debug
+endif
+
 
 all: format build test
 
 style:
 	@echo ">> checking code style"
-	@! gofmt -d **/*.go | grep '^'
+	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
+
+check_license:
+	@echo ">> checking license header"
+	@./scripts/check_license.sh
 
 test:
 	@echo ">> running tests"
@@ -32,23 +48,27 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build:
+build: promu
 	@echo ">> building binaries"
-	@./scripts/build.sh
+	@$(PROMU) build --prefix $(PREFIX)
 
-tarballs:
-	@echo ">> building release tarballs"
-	@./scripts/release_tarballs.sh
+tarball: promu
+	@echo ">> building release tarball"
+	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
 
 docker:
-	@docker build -t prometheus:$(shell git rev-parse --short HEAD) .
+	@echo ">> building docker image"
+	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
 assets:
 	@echo ">> writing assets"
 	@$(GO) get -u github.com/jteeuwen/go-bindata/...
-	@$(GO) generate ./web/blob
-	@$(GO) fmt ./web/blob >/dev/null
+	@go-bindata $(bindata_flags) -pkg ui -o web/ui/bindata.go -ignore '(.*\.map|bootstrap\.js|bootstrap-theme\.css|bootstrap\.css)'  web/ui/templates/... web/ui/static/...
+
+promu:
+	@GOOS=$(shell uname -s | tr A-Z a-z) \
+	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
+	$(GO) get -u github.com/prometheus/promu
 
 
-.PHONY: all style format build test vet docker assets tarballs
-
+.PHONY: all style check_license format build test vet assets tarball docker promu
