=== debian/changelog ===
prometheus (1.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update dependency version for prometheus/common.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Aug 2016 13:08:24 +0100

prometheus (1.0.0+ds-1) unstable; urgency=medium

  * New upstream release. 1.0!
  * Update debian/copyright.
  * debian/patches:
    - Refresh patches.
    - Remove old patch for go 1.3 compatibility.
  * Add logrotate script.
  * Update default configuration (breaking changes).
  * debian/init: Check config during init.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Jul 2016 04:48:06 +0000

prometheus (0.20.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides for new binary.
  * Update dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 24 Jun 2016 16:15:53 +0000

prometheus (0.19.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove obsolete golang-github-prometheus-log-dev
    dependency.
  * debian/control:
    - Update Vcs-Git to use HTTPS.
    - Switch to depend on golang-any instead of golang-go.
    - Change dh-golang dependency to work in backports.

 -- Martín Ferrari <tincho@debian.org>  Wed, 15 Jun 2016 11:49:27 +0000

prometheus (0.19.2+ds-2) unstable; urgency=medium

  * debian/rules: catch up with changes in linker flags so build information
    is shown again.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 May 2016 00:19:12 +0000

prometheus (0.19.2+ds-1) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * debian/service: match sysvinit behaviour (send SIGTERM with 20s timeout,
    never send SIGKILL) Closes: #824842

  [ Martín Ferrari ]
  * New upstream release. Update dependencies.
  * Switch to use the golang-github-prometheus-client-model-dev package.
  * Improve the way datetimepicker is built.
  * Refresh patches.
  * Tidy up debian/rules.
  * debian/control: add versions to depends that solve bugs.

 -- Martín Ferrari <tincho@debian.org>  Mon, 30 May 2016 09:54:35 +0000

prometheus (0.18.0+ds-2) unstable; urgency=medium

  * Depend on fsnotify 1.3.0-3, which fixes build issues in arm64, ppc64, and
    ppc64el. Remove workaround patch.
  * Fix default configuration file. Closes: #822471.
  * debian/control: Update Standards-Version without changes.
  * debian/control: Make all URLs use https.

 -- Martín Ferrari <tincho@debian.org>  Sat, 30 Apr 2016 23:16:14 +0100

prometheus (0.18.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Apr 2016 13:54:45 +0000

prometheus (0.18.0~rc1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Apr 2016 14:32:45 +0100

prometheus (0.17.0+ds-3) unstable; urgency=medium

  * Completely disable fsnofity in arm64, ppc64, and ppc64el, as it is broken
    in these architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 21:50:05 +0100

prometheus (0.17.0+ds-2) unstable; urgency=medium

  * debian/rules: disable all retrieval tests for arm, as these are too flaky in
    slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 17:43:15 +0000

prometheus (0.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/init: sleep longer when stopping the daemon.
  * debian/watch: fix watch file for RC releases.
  * debian/patches/06-Bug#818417-AWS_SDK_changes.patch: Fix FTBFS, thanks to
    Filippo Giunchedi for the patch. Closes: #818417.
  * debian/service: Add systemd unit, thanks to Michael Gebetsroither for the
    patch. Closes: #814802.
  * debian/init: Add support for reload, thanks to Filippo Giunchedi for the
    patch. Closes: #817403.
  * debian/default: Update default values and help text.

 -- Martín Ferrari <tincho@debian.org>  Sat, 26 Mar 2016 05:50:45 +0000
