=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: prometheus
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               dh-golang,
+               golang-any (>= 1.3),
+               dh-golang (>= 1.17~),
                golang-dns-dev,
-               golang-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-go-autorest-dev,
+               golang-github-dgrijalva-jwt-go-dev,
+               golang-github-hashicorp-consul-dev,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-prometheus-common-dev,
-               golang-github-prometheus-log-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-common-dev (>= 0+git20160801),
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-vaughan0-go-ini-dev,
-               golang-go (>= 1.3),
-               golang-golang-x-net-dev,
+               golang-golang-x-net-dev (>= 1:0.0+git20160518),
+               golang-golang-x-sys-dev,
                golang-goleveldb-dev,
-               golang-logrus-dev,
                golang-logrus-dev,
                golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
                golang-yaml.v2-dev,
@@ -26,10 +29,10 @@
                libjs-jquery-hotkeys,
                libjs-rickshaw,
                node-less
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
-Homepage: http://prometheus.io/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Homepage: https://prometheus.io/
 
 Package: prometheus
 Architecture: any
