=== debian/changelog ===
prometheus (1.5.2+ds-2) unstable; urgency=medium

  * Disable "long" tests in arm*, which take way too long and run out of
    memory. Closes: #852959.

 -- Martín Ferrari <tincho@debian.org>  Fri, 10 Feb 2017 23:13:51 -0300

prometheus (1.5.2+ds-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Martín Ferrari <tincho@debian.org>  Sat, 11 Feb 2017 00:27:48 +0000

prometheus (1.5.0+ds-1) unstable; urgency=medium

  * The "Only use non-alternative facts for monitoring" release.
  * Refresh patches: re-enable test, disable parts of ec2 discovery that
    require a different sdk.
  * Disable completely Kubernetes support, due to the insane amount of
    dependencies in their client library.
  * Remove prometheus-cli from Recommends.
  * Add original sources for JS fuzzy library.

 -- Martín Ferrari <tincho@debian.org>  Thu, 26 Jan 2017 22:38:53 +0000

prometheus (1.2.3+ds2-5) unstable; urgency=medium

  * Last test failures were actually problems with fsnotify+gccgo.
    Throwing the towel on it: prometheus will only compile with golang-go for
    now.
  * Increase the tests timeout again even more for armel. Closes: #847764

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Dec 2016 11:17:25 +0100

prometheus (1.2.3+ds2-4) unstable; urgency=high

  * Remove unneeded dependencies.
  * Increase test timeouts (some tests still failing on slow arches),
    and re-enable disabled tests on arm.

 -- Martín Ferrari <tincho@debian.org>  Thu, 01 Dec 2016 12:07:27 +0100

prometheus (1.2.3+ds2-3) unstable; urgency=high

  * Re-enable buildflags (needed for version information), which were
    removed by mistake.
  * Avoid conflicts with vendored dependencies when compiling with gccgo.
  * Disable TestDropMetrics, which is flaky in armel and has been
    preventing transition to testing (raising urgency).

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Nov 2016 11:28:54 +0100

prometheus (1.2.3+ds2-2) unstable; urgency=medium

  * Fix the new datetime picker control (was not working at all).
    Closes: #844513.
  * Replace libjs-handlebars with libjs-mustache. Closes: #835661.
  * Add dependency on new golang-golang-x-oauth2-google-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Nov 2016 05:59:48 +0000

prometheus (1.2.3+ds2-1) unstable; urgency=high

  * The "We had all the monitoring and alerting, yet the worst still happened"
    release.
  * New source release, removing the vendoring of bootstrap-datetimepicker.
  * Switch to golang-google-cloud-compute-metadata-dev dep.
  * Backport math fixes from 1.3.1 that fix build issues in armel (raising
    urgency). Hopefully prometheus will enter testing again now.

 -- Martín Ferrari <tincho@debian.org>  Wed, 09 Nov 2016 21:07:14 +0000

prometheus (1.2.3+ds-2) unstable; urgency=medium

  * Correct extra unneeded deps (the relevant parts are already vendored-in).

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 00:54:10 +0000

prometheus (1.2.3+ds-1) unstable; urgency=medium

  * New upstream release, containing a few bugfixes.
  * Add minimum version for jquery dependency (relevant for backports).
  * Re-vendor github.com/hashicorp/consul until the Debian package is
    stable.
  * Remove unneeded build-deps.
  * Update dependency on golang-github-miekg-dns-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Nov 2016 23:45:07 +0000

prometheus (1.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:26:59 +0000

prometheus (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.
  * Refresh patches.
  * Unvendor jquery and replace with Debian's packaged version.
  * Update prometheus-common dependency.

 -- Martín Ferrari <tincho@debian.org>  Sun, 23 Oct 2016 20:21:28 +0000

prometheus (1.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Switch away from node-less as it has bad arch support.

 -- Martín Ferrari <tincho@debian.org>  Sun, 02 Oct 2016 16:52:48 +0000

prometheus (1.1.2+ds-2) unstable; urgency=medium

  * Add a patch that fixes build issues in i386 and armhf.

 -- Martín Ferrari <tincho@debian.org>  Sat, 10 Sep 2016 20:06:40 +0000

prometheus (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release, fixing some bugs.

 -- Martín Ferrari <tincho@debian.org>  Fri, 09 Sep 2016 17:24:48 +0300

prometheus (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #835741.
  * debian/control: Update dependency name for client_golang.
  * debian/control: Add new dependency for gRPC.
  * debian/control: Add explicit dependency for snappy.
  * Install examples, but do not build them.
  * debian/patches/07-Disable_dns_test.patch: Disable test that accesses the
    network.

 -- Martín Ferrari <tincho@debian.org>  Thu, 08 Sep 2016 12:56:40 +0000
