=== debian/control ===
--- 
+++ 
@@ -4,31 +4,28 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               golang-any (>= 1.3),
+               golang-go (>= 1.6),
                dh-golang (>= 1.17~),
-               golang-dns-dev,
-               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
                golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-dgrijalva-jwt-go-dev,
-               golang-github-hashicorp-consul-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-golang-snappy-dev (>= 0.0+git20160529),
                golang-github-julienschmidt-httprouter-dev,
+               golang-github-miekg-dns-dev (>= 0.0~git20161018),
+               golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20160801),
+               golang-github-prometheus-common-dev (>= 0+git20161002),
                golang-github-samuel-go-zookeeper-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
+               golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
                golang-goleveldb-dev,
-               golang-logrus-dev,
-               golang-prometheus-client-dev (>= 0.6.0+git20150715.36659fa+ds),
-               golang-yaml.v2-dev,
-               libjs-bootstrap,
-               libjs-handlebars,
-               libjs-jquery-hotkeys,
-               libjs-rickshaw,
-               node-less
+               golang-google-api-dev,
+               golang-gopkg-yaml.v2-dev,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
@@ -38,10 +35,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
          libjs-bootstrap,
-         libjs-handlebars,
+         libjs-eonasdan-bootstrap-datetimepicker,
+         libjs-mustache,
+         libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
+         libjs-moment,
          libjs-rickshaw,
-Recommends: prometheus-node-exporter, prometheus-cli
+Recommends: prometheus-node-exporter
 Built-Using: ${misc:Built-Using}
 Description: Monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics
