=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 export DH_VERBOSE=1
 export DH_GOPKG := github.com/prometheus/prometheus
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := retrieval/discovery/fixtures \
+export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
     storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
     promql/fuzz-data
+# Do not build examples.
+export DH_GOLANG_EXCLUDES := documentation vendor
 
 BUILDDIR := build
 METAPKG := github.com/prometheus/common
@@ -31,13 +33,11 @@
     -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
-# Avoid some tests that fail on slow architectures.
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
-SKIP_TESTS := github.com/prometheus/prometheus/retrieval
-SHORT_TESTS := -short
+# Tests in armel take way too long, and run out of memory in armhf.
+TESTFLAGS  := -timeout 60m -short
 else
-SKIP_TESTS :=
-SHORT_TESTS :=
+TESTFLAGS  := -timeout 20m
 endif
 
 %:
@@ -46,26 +46,19 @@
 override_dh_auto_configure:
 	dh_auto_configure -O--buildsystem=golang
 	# Include vendored dependencies.
-	for i in github.com/hashicorp/consul \
-                github.com/influxdb/influxdb; \
+	for i in github.com/hashicorp github.com/influxdb; \
         do \
+	    src=$(BUILDDIR)/src/$(DH_GOPKG)/vendor/$$i; \
             dst=`dirname $(BUILDDIR)/src/$$i`; \
             mkdir -vp $$dst; \
-            cp -av vendor/$$i $$dst; \
+            mv -v $$src $$dst; \
         done
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
-	# Build and install datetimepicker.
-	mkdir -vp $(BUILDDIR)/bootstrap-datetimepicker
-	lessc web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.less > \
-            $(BUILDDIR)/bootstrap-datetimepicker/bootstrap-datetimepicker.css
-	cp web/ui/static/vendor/bootstrap-datetimepicker/bootstrap-datetimepicker.js \
-            $(BUILDDIR)/bootstrap-datetimepicker/
 
 override_dh_auto_test:
-	# Avoid some tests that fail on slow architectures.
-	DH_GOLANG_EXCLUDES="$(SKIP_TESTS)" dh_auto_test -- $(SHORT_TESTS)
+	dh_auto_test -- $(TESTFLAGS)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
