=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-$1.tar.gz/,dversionmangle=s/\+ds\d*$//,uversionmangle=s/rc/~rc/" \
         https://github.com/prometheus/prometheus/tags \
         (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz
