=== debian/control ===
--- 
+++ 
@@ -4,39 +4,52 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: adduser, debhelper (>= 9.0.0),
-               golang-go (>= 1.6),
+               golang-go (>= 2:1.8~),
                dh-golang (>= 1.17~),
+               dh-systemd,
                golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-dgrijalva-jwt-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
+               golang-github-gogo-protobuf-dev,
                golang-github-golang-snappy-dev (>= 0.0+git20160529),
+               golang-github-gophercloud-gophercloud-dev,
+               golang-github-hashicorp-consul-dev,
+               golang-github-hashicorp-go-cleanhttp-dev,
+               golang-github-hashicorp-serf-dev,
+               golang-github-influxdb-influxdb-dev,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-miekg-dns-dev (>= 0.0~git20161018),
+               golang-github-miekg-dns-dev (>= 0.0~git20170501),
+               golang-github-opentracing-contrib-go-stdlib-dev,
+               golang-github-opentracing-opentracing-go-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20161002),
+               golang-github-prometheus-common-dev (>= 0+git20170220),
                golang-github-samuel-go-zookeeper-dev,
                golang-github-sirupsen-logrus-dev,
+               golang-github-stretchr-testify-dev,
+               golang-github-syndtr-goleveldb-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20160518),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
-               golang-goleveldb-dev,
+               golang-golang-x-time-dev,
                golang-google-api-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
 Homepage: https://prometheus.io/
+Testsuite: autopkgtest-pkg-go
 
 Package: prometheus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         daemon | systemd-sysv,
          libjs-bootstrap,
          libjs-eonasdan-bootstrap-datetimepicker,
-         libjs-mustache,
+         libjs-mustache (>= 2.3.0-1~),
          libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
          libjs-moment,
